Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1200959 - [abrt] WARNING: CPU: 7 PID: 4317 at drivers/thunderbolt/nhi.c:58 ring_interrupt_active+0x199/0x1e0 [thunderbolt]()
Summary: [abrt] WARNING: CPU: 7 PID: 4317 at drivers/thunderbolt/nhi.c:58 ring_interru...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6721fd190d6a59cc6295122fcc6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 17:27 UTC by Katharina
Modified: 2015-05-21 21:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-21 21:46:12 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (147.26 KB, text/plain)
2015-03-11 17:27 UTC, Katharina
no flags Details

Description Katharina 2015-03-11 17:27:36 UTC
Additional info:
reporter:       libreport-2.3.0
WARNING: CPU: 7 PID: 4317 at drivers/thunderbolt/nhi.c:58 ring_interrupt_active+0x199/0x1e0 [thunderbolt]()
thunderbolt 0000:06:00.0: interrupt for TX ring 0 is already enabled
Modules linked in: fuse mmc_block ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep btusb bluetooth nls_utf8 hfsplus b43 hid_appleir snd_hda_codec_hdmi snd_hda_codec_cirrus mac80211 snd_hda_codec_generic intel_rapl snd_hda_intel x86_pkg_temp_thermal coretemp cfg80211 snd_hda_controller snd_hda_codec snd_hwdep ssb snd_seq rfkill kvm_intel snd_seq_device iTCO_wdt iTCO_vendor_support snd_pcm applesmc kvm input_polldev sdhci_pci sdhci bcma mmc_core snd_timer mei_me snd
 mei i2c_i801 lpc_ich soundcore mfd_core thunderbolt apple_gmux apple_bl shpchp nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt i915 crct10dif_pclmul i2c_algo_bit drm_kms_helper crc32_pclmul crc32c_intel tg3 drm ghash_clmulni_intel firewire_ohci firewire_core ptp pps_core crc_itu_t video hid_logitech_dj
CPU: 7 PID: 4317 Comm: kworker/u16:5 Not tainted 3.18.8-201.fc21.x86_64 #1
Hardware name: Apple Inc. Macmini6,2/Mac-F65AE981FFA204ED, BIOS MM61.88Z.0106.B03.1211161202 11/16/2012
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000636f37ff ffff880201ba7b58 ffffffff8175b3fc
 0000000000000000 ffff880201ba7bb0 ffff880201ba7b98 ffffffff81098e91
 ffff880000000030 ffffffffa00ce239 ffff8802630b5990 00000000ffffffff
Call Trace:
 [<ffffffff8175b3fc>] dump_stack+0x46/0x58
 [<ffffffff81098e91>] warn_slowpath_common+0x81/0xa0
 [<ffffffff81098f05>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff814a5376>] ? __dev_printk+0x46/0xa0
 [<ffffffffa00c61e9>] ring_interrupt_active+0x199/0x1e0 [thunderbolt]
 [<ffffffffa00c7480>] ring_start+0x110/0x150 [thunderbolt]
 [<ffffffffa00c8650>] tb_ctl_start+0x40/0xa0 [thunderbolt]
 [<ffffffffa00c9f39>] thunderbolt_resume+0x49/0x120 [thunderbolt]
 [<ffffffffa00c6275>] nhi_resume_noirq+0x15/0x20 [thunderbolt]
 [<ffffffff813d38ce>] pci_pm_resume_noirq+0x9e/0xc0
 [<ffffffff813d3830>] ? pci_pm_freeze_noirq+0xf0/0xf0
 [<ffffffff814b48ec>] dpm_run_callback+0x4c/0x100
 [<ffffffff814b4a53>] device_resume_noirq+0xb3/0x1a0
 [<ffffffff814b4b61>] async_resume_noirq+0x21/0x50
 [<ffffffff810ba0ca>] async_run_entry_fn+0x4a/0x150
 [<ffffffff810b1a4d>] process_one_work+0x14d/0x3f0
 [<ffffffff810b23a3>] worker_thread+0x53/0x470
 [<ffffffff810b2350>] ? rescuer_thread+0x290/0x290
 [<ffffffff810b7598>] kthread+0xd8/0xf0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0
 [<ffffffff81761d7c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b74c0>] ? kthread_create_on_node+0x1b0/0x1b0

Comment 1 Katharina 2015-03-11 17:27:40 UTC
Created attachment 1000588 [details]
File: dmesg

Comment 2 Fedora Kernel Team 2015-04-28 18:34:04 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.